require "maid64"

Cannonball = {}

Cannonball.new = function(x,y,dir,speed)
  local self = self or {}
  self.x = x
  self.y = y
  self.dir = dir
  self.rot = 0
  self.speed = speed
  self.image = maid64.newImage("cannonball.png")
  self.image:setFilter("nearest", "nearest")
  self.destroy = false

  print("CREATED")

  function self.update(dt)
    self.x = self.x + math.cos(math.rad(self.dir))*self.speed*dt
    self.y = self.y + math.sin(math.rad(self.dir))*self.speed*dt

    if (self.x < 0 or self.x > 160 or self.y < 0 or self.y > 120) then
      self.destroy = true
    end
  end

  function self.draw()
    love.graphics.draw(self.image, self.x, self.y, math.rad(self.rot),1,1,self.image:getWidth()/2,self.image:getHeight()/2)
  end
end
