require("Player")
require("camera")

local player = nil

function love.load()
  maid64.setup(160,120)
  player = Player.new(20, 20)
end

function love.update(dt)
  player.update(dt)
  camera.x = player.x-80
  camera.y = player.y-60
end

function love.draw()
  maid64.start()
  camera:set()
  love.graphics.setBackgroundColor(29, 43, 83, 255)
  love.graphics.line(80, 0, 80, 120)
  love.graphics.line(0, 60, 160, 60)

  player:draw()
  camera:unset()
  maid64.finish()
end

function love.keypressed(key)
  player.keypressed(key)
end

function love.resize(w, h)
    maid64.resize(w, h)
end
